Bug 1307343 - berusky2: FTBFS in rawhide
berusky2: FTBFS in rawhide
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: berusky2 (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-13 16:04 EST by Fedora Release Engineering
Modified: 2017-07-07 19:06 EDT (History)
2 users (show)

See Also:
Fixed In Version: berusky2-0.10-13.fc26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-07 19:06:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (69.54 KB, text/plain)
2016-02-13 16:04 EST, Fedora Release Engineering
no flags Details
root.log (105.57 KB, text/plain)
2016-02-13 16:04 EST, Fedora Release Engineering
no flags Details
state.log (625 bytes, text/plain)
2016-02-13 16:04 EST, Fedora Release Engineering
no flags Details

  None (edit)
Description Fedora Release Engineering 2016-02-13 16:04:02 EST
Your package berusky2 failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12807622

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-13 16:04:05 EST
Created attachment 1124099 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-13 16:04:07 EST
Created attachment 1124100 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-13 16:04:08 EST
Created attachment 1124101 [details]
state.log
Comment 4 Jan Kurik 2016-02-24 09:34:32 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 Yaakov Selkowitz 2016-02-24 16:37:44 EST
komat/Berusky3d_ini.h:43:52: error: unable to find string literal operator 'operator""INI_FILE_NAME' with 'const char [21]', 'unsigned int' arguments
 #define INI_FILE_GLOBAL         INI_FILE_GLOBAL_DIR"/"INI_FILE_NAME

See "Invalid literal suffixes" in https://gcc.gnu.org/gcc-6/porting_to.html
Comment 6 Martin Stransky 2016-02-25 03:52:20 EST
Thanks, it already builds, but fails to launch.
Comment 7 Fedora Update System 2017-06-30 09:08:27 EDT
berusky2-0.10-13.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9e2db5751a
Comment 8 Fedora Update System 2017-06-30 16:26:56 EDT
berusky2-0.10-13.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9e2db5751a
Comment 9 Fedora Update System 2017-07-07 19:06:25 EDT
berusky2-0.10-13.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.